////-----------------------------------------------------------------------------
////   
////
////   Project: EPA SWMM5
////   Version: 2.0
////   Date:    05/10/22   (Build 2.1)
////   Author:  J. Ferreira (TU Delft)
////
////   Air pocket model development
////-----------------------------------------------------------------------------
//
#ifndef AP_H
#define AP_H


#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "airpocket.h"

////-----------------------------------------------------------------------------
////  Enumerations
////-----------------------------------------------------------------------------

////-----------------------------------------------------------------------------
////  Data Structures
////-----------------------------------------------------------------------------

//
////-----------------------------------------------------------------------------
////   AP Methods
////-----------------------------------------------------------------------------

int swmm_runAirInit();
int swmm_runAirTracking();
int swmm_runAirrelease();
int swmm_runAirtransport();
int swmm_runAirmixing();
int swmm_runCreateAirPocket(int AP_inAnalysis[2000], int AP_size);
int swmm_runAirPocketInit();
int swmm_rearrange_AP();
double airVolumeinPipe(int i);

#endif AP_H